Bug 4719 - should define _IOT__IOTBASE_unsigned and _IOT__IOTBASE_size_t
Summary: should define _IOT__IOTBASE_unsigned and _IOT__IOTBASE_size_t
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: hurd (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Roland McGrath
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-01 22:49 UTC by Samuel Thibault
Modified: 2015-02-09 16:20 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
Add definitions of _IOT__IOTBASE_unsigned and _IOT__IOTBASE_size_t (307 bytes, patch)
2007-07-01 22:49 UTC, Samuel Thibault
Details | Diff
Support unsigned char/short/int/long (469 bytes, patch)
2007-12-16 03:00 UTC, Samuel Thibault
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Thibault 2007-07-01 22:49:10 UTC
Some applications use unsigned and size_t in ioctls, so bits/ioctls.h should define _IOT__IOTBASE_unsigned and _IOT__IOTBASE_size_t.
Comment 1 Samuel Thibault 2007-07-01 22:49:39 UTC
Created attachment 1909 [details]
Add definitions of _IOT__IOTBASE_unsigned and _IOT__IOTBASE_size_t
Comment 2 Samuel Thibault 2007-07-22 12:43:41 UTC
Fixed in HEAD.
Comment 3 Samuel Thibault 2007-07-22 13:16:58 UTC
Oops, sorry, this didn't get commited
Comment 4 Samuel Thibault 2007-12-16 03:00:11 UTC
Created attachment 2137 [details]
Support unsigned char/short/int/long

Instead of supporting just "unsigned", we should support unsigned
char/short/int/long, which this patch does by just dropping signedness
qualifiers, which we don't need to encode. Also, support ssize_t in addition to
size_t.
Comment 5 Samuel Thibault 2015-02-07 21:28:15 UTC
Fixed in HEAD.
Comment 6 joseph@codesourcery.com 2015-02-09 16:20:17 UTC
When committing a patch that fixes a bug, you need to update the list of 
fixed bugs in NEWS.